{
  "name": "util-api",
  "version": "1.0.0",
  "description": "A api builder utilities.",
  "type": "module",
  "main": "app.js",
  "scripts": {
    "start": "node app.js",
    "set-env": "echo \"Run 1 of commands:\n (when env \\x1b[92mcontain\\x1b[0m \\\\\\n) \\x1b[94mset -o allexport; source <source_file>; set +o allexport;\\x1b[0m\n (when env \\x1b[91mwithout\\x1b[0m \\\\\\n) \\x1b[94m\\$(cat <source_file> | grep \"^[^#\\;]\" | xargs)\\x1b[0m \"",
    "serve": "nodemon --watch . --inspect app.js",
    "lint": "eslint . --quiet",
    "test:unit": "jest  --coverage --testPathIgnorePatterns /routes/ --testPathIgnorePatterns /sub_modules/",
    "test:integration": "jest --testPathPattern /routes/",
    "release-master": "git checkout develop; git pull; git checkout master; git pull; git merge develop; git push; git checkout develop;"
  },
  "author": "gofa",
  "license": "MIT",
  "private": true,
  "jest": {
    "testEnvironment": "node",
    "testPathIgnorePatterns": [
      "/config/",
      "/sub_modules/"
    ],
    "coveragePathIgnorePatterns": [
      "/node_modules/",
      "/config/",
      "/sub_modules/"
    ],
    "coverageThreshold": {
      "global": {
        "branches": 100,
        "functions": 100,
        "lines": 100,
        "statements": 100
      }
    },
    "resolver": "jest-node-exports-resolver"
  },
  "dependencies": {
    "@google-cloud/bigquery": "^5.11.0",
    "axios": "^0.26.1",
    "body-parser": "^1.19.0",
    "cors": "^2.8.5",
    "crypto": "^1.0.1",
    "express": "^4.17.1",
    "firebase": "^9.5.0",
    "firebase-admin": "^10.0.0",
    "googleapis": "^100.0.0",
    "helmet": "^4.6.0",
    "jsonwebtoken": "^8.5.1",
    "jwt-decode": "^3.1.2",
    "lodash": "^4.17.21",
    "mongoose": "^6.1.5",
    "morgan": "^1.10.0",
    "node-fetch": "^2.6.0",
    "nodemon": "^2.0.15"
  },
  "devDependencies": {
    "@babel/preset-env": "^7.16.4",
    "babel-plugin-rewire": "^1.2.0",
    "eslint": "^8.4.1",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.1.1",
    "jest": "^27.4.3",
    "jest-node-exports-resolver": "^1.1.6",
    "regenerator-runtime": "^0.13.9",
    "supertest": "^6.1.6"
  }
}
